/* @media (width <= 1024px) {
	#pause-screen,
	#winning-screen,
	#game-over-screen {
		width: calc(100% - 4rem);
		max-height: calc(100vh - 4rem);
		aspect-ratio: 2/1;
	}
} */

/* @media (width <= 900px) {
	#pause-screen,
	#winning-screen,
	#game-over-screen {
		font-size: 1rem;
		padding: 1rem;
	}
} */

@media (width <= 610px) {
	html {
		font-size: 14px;
	}
	.part img {
		float: right;
		width: 33%;
	}
}

@media (width <= 498px) {
	html {
		font-size: 12px;
	}

	.key {
		min-width: 20px;
		min-height: 20px;
	}

	.control-entry-row {
		gap: 0.5rem;
	}
}

@media (width <= 424px) {
	.heading {
		flex-direction: column-reverse;
		height: rem;
	}
	.heading h1 {
		margin-top: -2rem;
		margin-bottom: -2rem;
	}
	.heading img {
		height: 25%;
	}
}

@media (width <= 402px) {
	.controls {
		align-items: flex-start;
	}
	.control-entry {
		gap: 0;
	}
	.control-entry-row {
		flex-direction: column;
		gap: 0;
		text-align: left;
		align-items: flex-start;
	}
	.control-entry-row:last-of-type {
		gap: 0;
	}
	.key {
		margin-right: 1rem;
	}

	.blobs p,
	.plants p {
		font-size: 1.125rem;
	}
}
